// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdDocumentScanner", targets: ["WebIdDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .exact("13.5.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4/de/webid-solutions/WebIdDocumentScanner/13.5.0/WebIdDocumentScanner.framework-v13.5.0.zip",
            checksum: "c29161b51ae11264976261f1603b88b85160031a0b7a9e7b75a2f477c370a5c2"
        ),
        .target(
            name: "WebIdDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
